ru.bitel.bgbilling.kernel.contract.label.common.service

## Interface ContractLabelService

-     public interface ContractLabelService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractLabelItem` | `getContractLabelTree()`
    `java.util.List<ContractLabelItem>` | `getContractLabelTreeItemList(int contractId, boolean calcCount)`
    `void` | `removeContractLabelTreeItem(int contractLabelItemId)`
    `void` | `setContractLabelTreeItemList(int contractId, java.util.List<ContractLabelItem> items)`
    `void` | `syncLabelAndGroupContract()`
    `void` | `syncLabelAndGroupDirectory()`
    `int` | `updateContractLabelTreeItem(ContractLabelItem contractLabelItem)`

- - ### Method Detail

    - #### getContractLabelTreeItemList

          java.util.List<ContractLabelItem> getContractLabelTreeItemList(int contractId,
                                                                         boolean calcCount)
                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setContractLabelTreeItemList

          void setContractLabelTreeItemList(int contractId,
                                            java.util.List<ContractLabelItem> items)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateContractLabelTreeItem

          int updateContractLabelTreeItem(ContractLabelItem contractLabelItem)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### removeContractLabelTreeItem

          void removeContractLabelTreeItem(int contractLabelItemId)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractLabelTree

          ContractLabelItem getContractLabelTree()
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### syncLabelAndGroupDirectory

          void syncLabelAndGroupDirectory()
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### syncLabelAndGroupContract

          void syncLabelAndGroupContract()
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`